name: i2r #introduction-2-robotics
services:
  ros:
    build: .
    environment:
      - DISPLAY=gui:0.0
    stdin_open: true 
    tty: true
    volumes:
      # - home:/root
      - type: bind
        source: ./../../Exercises/catkin_ws/src
        target: /root/catkin_ws/src
  
  gui:
    image: theasp/novnc:latest
    ports:
      - "8080:8080"
    environment:
      # Adjust to your screen size
      - DISPLAY_WIDTH=1800
      - DISPLAY_HEIGHT=1050
      - RUN_XTERM=no

volumes:
  home:


